Subject: Re: gvimdiff fails on network drive
From: Shing-Fat Fred Ma <[email-masked]>
To: Vince Hoffman <[email-masked]>
Cc: [email-masked]
Date: Fri, 25 Oct 2002 16:06:49 -0400
Newsgroups: comp.editors

Vince Hoffman wrote:

> Gvim isnt linked to cygwin1.dll so it wont see cygwin mount points.

Vince,

I understand your explanation, and it sounds
like it is the cause.  But why am I able to open
the two files, but not diff them?  When I use
"gvim -dR", the two files open but just don't
diff.  (I first cd to the remote directory via
the mount point).

Fred

-------------------------------------------
Fred Ma
Department of Electronics
Carleton University, Mackenzie Building
1125 Colonel By Drive
Ottawa, Ontario
Canada     K1S 5B6
[email-masked]
===========================================

> > -----Original Message-----
> > From: Shing-Fat Fred Ma [mailto:[email-masked]]
> > Sent: 25 October 2002 19:25
> > To: [email-masked]
> > Subject: gvimdiff fails on network drive
> >
> >
> > Hello,
> >
> > I'm using cygwin-1.3.12-4 on WinME.  I'm
> > using gvim 6.0 to diff a pair of files residing
> > on a mounted network drive i.e. /SomeUser
> > is a mount pointing to \\RemoteSunBox\SomeUser.
> > Read/write access to /SomeUser is no problem.
> > Using "gvim -d" on localfiles is no problem.
> > But using "gvim -d" on files residing on /SomeUser
> > generates the error E97 (can't create diff files).
> >
> > I thought it might be a path name problem,
> > though both invocations would use unix
> > style path names.  But just to see, I tried
> > putting this in _vimrc (courtesy Machitani-san):
> >
> > > if has("unix")
> > >   set shell=/bin/bash
> > > elseif has("win32")
> > > " set shell=c:/cygwin/bin/bash
> > >   set shell=c:\\cygwin\\bin\\bash.exe
> > >   set shellcmdflag=-c
> > >   set shellpipe=2>&1\|\ tee
> > >   set shellslash
> > > endif
> >
> > But the problem persisted.  Just as a note,
> > my gvim is invoked by the bash function
> >
> > {
> >     ( unset SHELL;
> >     /c/Program\ Files/vim/vim60/gvim $* ) &
> > }
> >
> > because gvim's diff *never* worked prior
> > to the "unset SHELL".
> >
> > Thanks for any suggestions.
> >
> > Fred

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/